public inbox for elfutils@sourceware.org
 help / color / mirror / Atom feed
From: Mark Wielaard <mjw@redhat.com>
To: elfutils-devel@lists.fedorahosted.org
Subject: Re: linux-pid-attach.c on non-Linux hosts
Date: Wed, 23 Apr 2014 11:46:53 +0200	[thread overview]
Message-ID: <1398246413.4031.27.camel@bordewijk.wildebeest.org> (raw)
In-Reply-To: 20140422225440.GA15224@roeckx.be

[-- Attachment #1: Type: text/plain, Size: 1227 bytes --]

On Wed, 2014-04-23 at 00:54 +0200, Kurt Roeckx wrote:
> On Wed, Apr 23, 2014 at 12:26:53AM +0200, Mark Wielaard wrote:
> > On Tue, 2014-04-22 at 21:52 +0200, Kurt Roeckx wrote:
> > > The attached patch seems to be working for me on kFreeBSD.
> > 
> > Looks reasonable to me. The other arch backends that provide an initregs
> > could probably use the same conditional (but that can wait till someone
> > actually needs it/can test it).
> > 
> > Would you mind looking at the CONTRIBUTING file and add a Signed-off-by
> > line if you agree with what is said there?
> 
> I forgot to add it, I only remembered after I mailed it.

Thanks, I have added it to the commit and pushed it to master. I am
afraid we will have to rely a little on you to make sure other stuff
doesn't break on non-GNU/Linux setups.

> > > PS: run-nm-self.sh fails for me for current master.
> > 
> > How does it fail? Do you have a tests/run-nm-self.sh.log? Which arch?
> 
> File is attached.  This is on x86_64.

Aha. I think this is because you are using a /bin/sh that isn't bash and
has a 'test' that doesn't recognize '==' as string comparison. It should
use a single '='. Does the attach fix it for you?

Cheers,

Mark

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: 0001-tests-run-nm-self.sh-use-test-not-for-string-compari.patch --]
[-- Type: text/x-patch, Size: 1422 bytes --]

>From 4233ec036ba079468456935af6345fbc6c39c1df Mon Sep 17 00:00:00 2001
From: Mark Wielaard <mjw@redhat.com>
Date: Wed, 23 Apr 2014 09:54:30 +0200
Subject: [PATCH] tests: run-nm-self.sh use test = not == for string comparisons.

Signed-off-by: Mark Wielaard <mjw@redhat.com>
---
 tests/ChangeLog      |    4 ++++
 tests/run-nm-self.sh |    2 +-
 2 files changed, 5 insertions(+), 1 deletions(-)

diff --git a/tests/ChangeLog b/tests/ChangeLog
index afec07f..fc96284 100644
--- a/tests/ChangeLog
+++ b/tests/ChangeLog
@@ -1,3 +1,7 @@
+2014-03-23  Mark Wielaard  <mjw@redhat.com>
+
+	* run-nm-self.sh: Use test = not == for string comparisons.
+
 2014-03-14  Mark Wielaard  <mjw@redhat.com>
 
 	* Makefile.am: Remove MUDFLAP conditions. Remove libmudflap from all
diff --git a/tests/run-nm-self.sh b/tests/run-nm-self.sh
index dac8e27..6a31afc 100755
--- a/tests/run-nm-self.sh
+++ b/tests/run-nm-self.sh
@@ -27,7 +27,7 @@ for what_arg in --debug-syms --defined-only --dynamic --extern-only; do
     for out_arg in --numeric-sort --no-sort --reverse-sort; do
       for self_file in $ET_REL $ET_EXEC $ET_DYN; do
 	# --dynamic doesn't make sense for ET_REL.
-	if ! test "$what_arg" == "--dynamic" -a "$self_file" == "$ET_REL"; then
+	if ! test "$what_arg" = "--dynamic" -a "$self_file" = "$ET_REL"; then
 	  testrun ${abs_top_builddir}/src/nm $what_arg $format_arg $out_arg $self_file > /dev/null
 	fi
       done
-- 
1.7.1


             reply	other threads:[~2014-04-23  9:46 UTC|newest]

Thread overview: 8+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2014-04-23  9:46 Mark Wielaard [this message]
  -- strict thread matches above, loose matches on Subject: below --
2014-04-23 18:28 Mark Wielaard
2014-04-23 16:12 Kurt Roeckx
2014-04-22 22:54 Kurt Roeckx
2014-04-22 22:26 Mark Wielaard
2014-04-22 19:52 Kurt Roeckx
2014-04-22 11:28 Mark Wielaard
2014-04-21 20:39 Kurt Roeckx

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1398246413.4031.27.camel@bordewijk.wildebeest.org \
    --to=mjw@redhat.com \
    --cc=elfutils-devel@lists.fedorahosted.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).